html {
	font-size: 16px;
	font-family: $sans;
}

h1, h2, h3, h4, h5, h6 {
	font-weight: 900;
	mark,
	colored {
		display: inline-block;
		background-color: transparent !important;

		&:before {
			content: " ";
			background-color: rgba($primary, 0.3);
			position: absolute;
			top: 0.2em;
			left: -0.1em;
			right: -0.1em;
			mix-blend-mode: darken;
			bottom: 0.05em;
			// z-index: -1;
		}
	}
}

.text-block {
	> *:first-child {
		margin-top: 0;
	}
	> *:last-child {
		margin-bottom: 0;
	}

	font-size: 15px;

	@include xs {
		font-size: 14px;
	}

	blockquote {
		font-size: 20px;
		line-height: 1.55;
		margin: 30px 0px 30px;
		border-left: 4px solid $primary;
		padding: 10px 0px 10px 30px;
	}

	p {
		line-height: 1.6;
		margin-top: 0.8em;
	}


	ol, ul {
		margin: 1em 0px 30px 20px;

		li {
			line-height: 1.5;
			+ li {
				margin-top: .6em;
			}
		}
	}

	ol {
		counter-reset: ol1;
		list-style: none;

		li {
			&:before {
				position: absolute;
			}
		}

		>li {
			counter-increment: ol1;

			&:before {
				content: counter(ol1) ".";
				left: -20px;
				font-size: 0.8em;
				opacity: .5;
				top: 0.2em;
			}

			>ol {
				counter-reset: ol2;
				margin: 10px 0px 10px 30px;

				>li {
					counter-increment: ol2;


					&:before {
						left: -30px;
						content: counter(ol1) "."counter(ol2) ".";
					}
				}
			}
		}
	}
}
